Skip to main content

Update properties of a user

PATCH 

/nevisidm/api/core/v1/:clientExtId/users/:extId/properties

Since: 2.79.0

Required permission(s): AccessControl.UserView,AccessControl.UserModify,AccessControl.PropertyView,AccessControl.PropertyValueView,AccessControl.PropertyAllowedValueView,AccessControl.PropertyValueCreate,AccessControl.PropertyValueDelete,AccessControl.PropertyValueModify

Updates the properties of the user with the given external ID, belonging to the client with the given external ID. The body has to contain an object of key-value property pairs.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    property name* string

Responses

User properties updated successfully

Schema
    _classifications object

    The defined classifications of the property.

    property name* string[]
  • Array [
  • string

  • ]
Loading...